
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TTaskWaitCategory.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TTaskWaitCategory"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="SOLICITUDES"/&gt;
 *     &lt;enumeration value="TRAMITACION"/&gt;
 *     &lt;enumeration value="APORTACIONES"/&gt;
 *     &lt;enumeration value="FIRMAS"/&gt;
 *     &lt;enumeration value="RECHAZO DE FIRMAS"/&gt;
 *     &lt;enumeration value="INICIODEOFICIO"/&gt;
 *     &lt;enumeration value="TRASPASO"/&gt;
 *     &lt;enumeration value="FISCALIZACIONES"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TTaskWaitCategory", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TTaskWaitCategory {

    SOLICITUDES("SOLICITUDES"),
    TRAMITACION("TRAMITACION"),
    APORTACIONES("APORTACIONES"),
    FIRMAS("FIRMAS"),
    @XmlEnumValue("RECHAZO DE FIRMAS")
    RECHAZO_DE_FIRMAS("RECHAZO DE FIRMAS"),
    INICIODEOFICIO("INICIODEOFICIO"),
    TRASPASO("TRASPASO"),
    FISCALIZACIONES("FISCALIZACIONES");
    private final String value;

    TTaskWaitCategory(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TTaskWaitCategory fromValue(String v) {
        for (TTaskWaitCategory c: TTaskWaitCategory.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
